#include <iostream>

int brNechetniPrediChetno[10005];
int brNechetniPrediChetnoObshto[10005];

int gaus(int n, int a)
{
    return ((n + (n - a + 1)) * a) / 2;
}

int main()
{
    std::ios::sync_with_stdio(0);
    std::cin.tie(0);
    int n;
    std::cin>>n;
    int brChetni = 0, brNechetni = 0;
    int ans = 0;
    for (int i = 0; i < n; ++i)
    {
        int a;
        std::cin>>a;
        if (a % 2 == 0)
        {
            brNechetniPrediChetno[brChetni + 1] = brNechetni - brNechetniPrediChetnoObshto[brChetni];
            brNechetniPrediChetnoObshto[brChetni + 1] = brNechetni;
            brChetni++;
        }
        else
        {
            brNechetni++;
        }
    }
    ans+=gaus(n, brChetni);
    for (int i = 1; i <= brChetni; ++i)
    {
        ans+=brNechetniPrediChetno[i] * (brNechetni - brNechetniPrediChetnoObshto[i]);
    }
    std::cout<<ans<<'\n';


    return 0;
}
